View Issue Details

IDProjectCategoryView StatusLast Update
0006583Talerdocumentationpublic2020-10-31 16:41
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytextReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006583: document rationale for claim token
DescriptionDocument why we have the claim token, as opposed to just having a high-entropy order ID.

We briefly discussed:

* it allows a public order ID that can be shared, where either claim_token or h_contract is used for authentication to "manage" the purchase
* it makes it easier for storefronts that already use some existing order ID scheme
TagsNo tags attached.

Activities

Christian Grothoff

2020-10-31 16:41

manager   ~0017075

a875828..4e29dbb expands on this in the merchant manual. Earlier I already updated the API spec to say a bit more about claiming.

Issue History

Date Modified Username Field Change
2020-09-07 11:56 Florian Dold New Issue
2020-09-07 11:56 Florian Dold Status new => assigned
2020-09-07 11:56 Florian Dold Assigned To => Florian Dold
2020-09-11 22:54 Christian Grothoff Severity minor => text
2020-09-11 22:54 Christian Grothoff Target Version => 0.8.1
2020-10-31 10:08 Christian Grothoff Assigned To Florian Dold => Christian Grothoff
2020-10-31 16:41 Christian Grothoff Status assigned => resolved
2020-10-31 16:41 Christian Grothoff Resolution open => fixed
2020-10-31 16:41 Christian Grothoff Fixed in Version => 0.8
2020-10-31 16:41 Christian Grothoff Note Added: 0017075
2020-10-31 16:41 Christian Grothoff Product Version => git (master)
2020-10-31 16:41 Christian Grothoff Target Version 0.8.1 => 0.8